Customers
Retrieve a customer
selectkey<token>
API key para requisições autenticadas. Envie sua chave no cabeçalho selectkey (sandbox sk_test_…, produção sk_live_…).
In: header
Path Parameters
customerId*string
Public identifier (cus_…)
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/customers/string"{
"id": "cus_0a1b2c3d4e5f60718293",
"firstName": "João",
"lastName": "Silva",
"email": "[email protected]",
"document": {
"type": "cpf",
"number": "string"
},
"telephone": {
"countryCode": "string",
"areaCode": "string",
"number": "string",
"line": "string"
},
"birthdate": "string",
"gender": "string",
"available": true,
"delinquent": true,
"externalReference": "string",
"additionalEmails": [
"string"
],
"metadata": {},
"createdAt": "string",
"updatedAt": "string",
"merchant": {
"name": "Acme Ltda",
"merchantId": "string",
"isSubAccount": true
},
"_links": {},
"transactions": [
{
"id": "tra_0a1b2c3d4e5f60718293",
"customId": "string",
"customerId": "cus_0a1b2c3d4e5f60718293",
"cardBrand": "string",
"amount": "string",
"originalAmount": "string",
"status": "string",
"method": "string",
"currency": "BRL",
"fees": 5000,
"approvedAt": "string",
"updatedAt": "string",
"createdAt": "string",
"images": [
"string"
]
}
],
"subscriptions": [
{
"id": "subs_0a1b2c3d4e5f60718293",
"status": "active",
"currency": "BRL",
"method": "string",
"type": "string",
"currentCycle": {
"id": "scy_0a1b2c3d4e5f60718293",
"cycle": 0,
"status": "string",
"startDate": "string",
"endDate": "string",
"dueDate": "string",
"billedAt": "string",
"updatedAt": "string",
"createdAt": "string"
},
"customer": {
"id": "string",
"firstName": "João",
"lastName": "Silva",
"email": "[email protected]",
"birthdate": "string",
"gender": "string",
"document": {
"type": "string",
"number": "string"
},
"telephone": {
"countryCode": "string",
"areaCode": "string",
"number": "string",
"line": "string"
},
"available": true,
"delinquent": true,
"externalReference": "string",
"additionalEmails": [
"string"
],
"metadata": {},
"updatedAt": "string",
"createdAt": "string"
},
"billing": {
"frequency": "string",
"frequencyCount": 0,
"endDate": "string",
"exactDay": 0,
"freeTrialDays": 0,
"address": {
"street": "string",
"number": "string",
"complement": "string",
"district": "string",
"city": "string",
"state": "string",
"country": "string",
"postcode": "string",
"line": "string",
"fingerprint": "string",
"line1": "string",
"line2": "string",
"line3": "string"
}
},
"discount": {
"value": 5000,
"type": "string",
"percentageOfAmount": 5000
},
"discounts": [],
"shippable": true,
"shipping": {},
"spplited": true,
"splits": [
{
"id": "ssp_0a1b2c3d4e5f60718293",
"recipient": "string",
"type": "string",
"value": 5000,
"chargeProcessingFee": true,
"liable": true,
"updatedAt": "string",
"createdAt": "string"
}
],
"items": [
{
"id": "sit_0a1b2c3d4e5f60718293",
"name": "Acme Ltda",
"description": "string",
"enabled": true,
"pricingSchema": "string",
"unitPrice": 5000,
"quantity": 0,
"currency": "BRL",
"images": [
"string"
],
"metadata": {},
"externalReference": "string",
"updatedAt": "string",
"createdAt": "string"
}
],
"callback": {
"webhookUrl": "string",
"active": true
},
"geolocation": {},
"externalReference": "string",
"metadata": {},
"updatedAt": "string",
"createdAt": "string",
"merchant": {
"name": "Acme Ltda",
"merchantId": "string",
"isSubAccount": true
},
"_links": {}
}
],
"addresses": [
{
"id": "addr_0a1b2c3d4e5f60718293",
"ownerType": "vendor",
"ownerId": "string",
"street": "string",
"number": "string",
"complement": "string",
"district": "string",
"city": "string",
"state": "string",
"country": "string",
"postcode": "string",
"latitude": "string",
"longitude": "string",
"primary": true,
"line": "string",
"line1": "string",
"line2": "string",
"line3": "string",
"metadata": {},
"updatedAt": "string",
"createdAt": "string",
"merchant": {
"name": "Acme Ltda",
"merchantId": "string",
"isSubAccount": true
},
"_links": {}
}
],
"cards": [
{
"id": "card_0a1b2c3d4e5f60718293",
"holderName": "JOAO SILVA",
"brand": "string",
"firstDigits": "string",
"lastDigits": "string",
"expirationMonth": "string",
"expirationYear": "string",
"primary": true,
"active": true,
"valid": true,
"verified": true,
"associated": true,
"updatedAt": "string",
"createdAt": "string",
"merchant": {
"name": "Acme Ltda",
"merchantId": "string",
"isSubAccount": true
},
"_links": {}
}
]
}{
"error": {
"status": "Unauthorized",
"statusCode": 401,
"category": "authentication",
"code": "unauthorized",
"message": "Authentication is required to access this resource.",
"resource": "server"
}
}{
"error": {
"status": "Forbidden",
"statusCode": 403,
"category": "authorization",
"code": "forbidden",
"message": "You do not have permission to perform this action.",
"resource": "server"
}
}{
"error": {
"status": "Internal Server Error",
"statusCode": 500,
"category": "server",
"code": "notFound",
"message": "An unexpected error occurred.",
"resource": "server"
}
}{
"error": {
"status": "Internal Server Error",
"statusCode": 500,
"category": "server",
"code": "serverError",
"message": "An unexpected error occurred. Please try again later.",
"resource": "server",
"details": "If the problem persists, contact support with the correlationId from the response headers."
}
}